precision mediump float;
precision mediump int;

uniform sampler2D iChannel0;
uniform float thresholdMin;
uniform float thresholdMax;
uniform vec3 iResolution;
uniform vec2 direction;
uniform vec4 blendColor;

varying vec2 uv;
varying vec2 vertex;

void
main()
{
    if(vertex.y < thresholdMin || vertex.y > thresholdMax){
        vec4 color = vec4(0.0);
        vec2 off1 = vec2(1.411764705882353) * direction;
        vec2 off2 = vec2(3.2941176470588234) * direction;
        vec2 off3 = vec2(5.176470588235294) * direction;
        color += texture2D(iChannel0, uv) * 0.1964825501511404;
        color += texture2D(iChannel0, uv + (off1 / iResolution.xy)) * 0.2969069646728344;
        color += texture2D(iChannel0, uv - (off1 / iResolution.xy)) * 0.2969069646728344;
        color += texture2D(iChannel0, uv + (off2 / iResolution.xy)) * 0.09447039785044732;
        color += texture2D(iChannel0, uv - (off2 / iResolution.xy)) * 0.09447039785044732;
        color += texture2D(iChannel0, uv + (off3 / iResolution.xy)) * 0.010381362401148057;
        color += texture2D(iChannel0, uv - (off3 / iResolution.xy)) * 0.010381362401148057;

        gl_FragColor = vec4(blendColor.a*blendColor.rgb + (1.-blendColor.a) * color.rgb,1.0);
    }else
        gl_FragColor = texture2D(iChannel0,uv);
}